summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author hollywoodb <hollywoodb@fastmail.fm>2010-05-11 19:44:22 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 19:44:22 +0200
commit9cbe6328c99597cb4ec29320848ac48a8024e47a (patch)
treea9567c91c09e60582ef0485d2a482f5f4ab87e6d /development
parent7c28611eedfb77b534c44cdae332d4ff86eba28d (diff)
downloadslackbuilds-9cbe6328c99597cb4ec29320848ac48a8024e47a.tar.gz
slackbuilds-9cbe6328c99597cb4ec29320848ac48a8024e47a.tar.xz
development/swig: Updated for version 1.3.31
Diffstat (limited to 'development')
-rw-r--r--development/swig/README1
-rw-r--r--development/swig/slack-desc8
-rw-r--r--development/swig/swig.SlackBuild24
-rw-r--r--development/swig/swig.info2
4 files changed, 19 insertions, 16 deletions
diff --git a/development/swig/README b/development/swig/README
index 61c0607421..6063be51f3 100644
--- a/development/swig/README
+++ b/development/swig/README
@@ -14,4 +14,3 @@ form of XML and Lisp s-expressions.
swig may build with support for the following:
Tcl, Python, Perl, Java, GCJ, Guile, MzScheme, Ruby, PHP4, ocaml, Pike
Chicken (csc/csi), C#, Lua, Allegro CL, clisp, R
-
diff --git a/development/swig/slack-desc b/development/swig/slack-desc
index c3abcedb35..19fb9e9ac6 100644
--- a/development/swig/slack-desc
+++ b/development/swig/slack-desc
@@ -1,3 +1,11 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
swig: swig (interface compiler to connect C/C++ with scripting languages)
swig:
swig: SWIG is an interface compiler that connects programs written in C and
diff --git a/development/swig/swig.SlackBuild b/development/swig/swig.SlackBuild
index 508e44b7aa..8d66e67b9a 100644
--- a/development/swig/swig.SlackBuild
+++ b/development/swig/swig.SlackBuild
@@ -9,17 +9,12 @@
# Modified by the SlackBuilds.org project
-if [ "$(id -u)" != "0" ]; then
- echo "This script must be run as root!"
- exit
-fi
-
NAME=swig
VERSION=1.3.31
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=${PKG:-$TMP/package-$NAME}
OUTPUT=${OUTPUT:-/tmp}
@@ -29,7 +24,6 @@ mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
tar -zxvf $CWD/$NAME-$VERSION.tar.gz || exit 1
cd $NAME-$VERSION || exit 1
-
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -42,17 +36,19 @@ fi
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix=/usr \
- --exec-prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var \
- || exit 1
+ --prefix=/usr \
+ --exec-prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
make || exit 1
make install DESTDIR=$PKG || exit 1
-find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
mkdir -p $PKG/usr/doc/$NAME-$VERSION
cp -a ANNOUNCE CHANGES* FUTURE INSTALL LICENSE NEW README TODO Examples/ \
diff --git a/development/swig/swig.info b/development/swig/swig.info
index dedd29657a..5e175f3c31 100644
--- a/development/swig/swig.info
+++ b/development/swig/swig.info
@@ -5,4 +5,4 @@ DOWNLOAD="http://dl.sourceforge.net/swig/swig-1.3.31.tar.gz"
MD5SUM="4a0bae63e3713e89b26db7209b6a7e05"
MAINTAINER="hollywoodb"
EMAIL="hollywoodb@fastmail.fm"
-APPROVED="robw810,BP{k}"
+APPROVED="rworkman,BP{k}"